DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# RegistryValid

Validate an registry item

## SYNOPSIS

`#include "dip_registry.h"`

dip_Error dip_RegistryValid ( id, class, verdict )

## FUNCTION

This function checks whether `id` has been registered in the Registry in the Registry class `class`. If `verdict` is not zero, the validation information (`DIP_FALSE` or `DIP_TRUE`) is copied to `verdict`. Otherwise an error is returned in case the validation fails.

See `Register` for more information about DIPlib's Registry.

## ARGUMENTS

Data type | Name | Description
`dip_int` | `id` | Registry ID
`dip_int` | `class` | Registry class
`dip_Boolean *` | `verdict` | Pointer to a boolean containing the validation data

## SEE ALSO

`Register`, `Unregister`, `RegisterClass`, `RegistryList`, `RegistryGet`, `RegistryArrayNew`

DIPlib on-line documentation | Function reference | Global function index